volatile unsigned long compteur=0;
const int broche_compteur=12;

void setup()
{
  Serial.begin(74800);
  Serial.println("Comptage impulsion");
  pinMode(broche_compteur,INPUT_PULLUP);
  delay(100);
  attachInterrupt(digitalPinToInterrupt(broche_compteur), incrementation_du_compteur, RISING);
}
void loop()
{
  Serial.println(compteur);
  delay(1000);
}

//ICACHE_RAM_ATTR
IRAM_ATTR void incrementation_du_compteur() {
  compteur++;
}
